Subject: [Ieprep] RE: polk-ieprep-flow-model-considerations-00

From: "James M. Polk" <[email-masked]>
Date: Fri, 24 Jan 2003 17:50:08 -0600

Good comments - I will consider them when focusing on the next effort.

For this ID, you aren't uncomfortable with the phrase "...if (and which) 
QoS mechanisms..." What would you prefer for this part of the text:

#1 - "...if QoS mechanisms..." or

#2 - "...which QoS mechanisms..." or

another short piece of text, or

remove the phrase and relevant text surrounding it?

At 04:02 PM 1/24/2003 -0600, Ayyasamy, Senthilkumar  (UMKC-Student) wrote:

> > >1/ I really like the draft. Its very crisp and provides a good
> > >classification of application level data/control plane. I might
> > >be missing something very basic. But, I fail to understand
> > >how the draft serves as a point of reference for the WG when
> > >discussing *if (and which) QoS mechanisms* should be employed
> > >for each individual (application) protocol packet flow.
> >
> > I don't want to step in *it* too deep here, but there have
> > been discussions that have merged all combinations of Data
> > Plane with the two Control Planes as if they are
> > to be treated in the same manner. I thought this short ID
> > could serve as educator/reminder of sorts to reduce this
> > occurrence in the future.
>
>we can discuss and write spec on *which* QoS mechanism can be
>used. But, not *if* QoS mechanism should be employed. Their is
>no study to prove that QoS/provisioning is better than the
>other. We can keep debating on either side  of the fence.
>
>Their are strong arguments on why QoS is not necessary and
>why it is necessary for whatever reason. So,
>
> > >Do you mean to say, " Since the draft has classified
> > >the application level stuff used for ieprep, one can infer whether
> > >those application require QoS mechanisms based on their known
> > >delay/jitter requirements."
> >
> >
> > There is at least one more document I want to write as the
> > next logical step of this document - which will hopefully
> > target your  comment quoted just above more directly.
>
>the follow-up draft can provide us guidelines based on both the
>scenarios:
>
>- If I use best-effort, what are the things to be done for
>creating an end to end ieprep service. Three of Kimberly's
>mail regarding scenarios and one of rogan's mail
>on data center will serve as a major input.
>
>- If I use QoS models, what are the things to be done for
>creating an end to end ieprep service. An obvious approach
>will be mapping your application level classification with
>Fred's ieprep-packet-marking-policy. But, some text have to
>be added for explaining inter-domain signaling methods.
>
>- It should also mention about various ieprep services that
>may be helpful for emergency responders. For example, effective
>use of systems like IAA ( Ran's mail.)
>
> > >My understanding of application-level signaling is that it helps in
> > >differentiating various applications. The quality of service part
>                                              ^^^^^^^^^^^^^^^^^^^^^^^
> > >(network level) will remain the same whether we are going to use
> > >in-band or out-of-band /receiver-initiated or source-initiated
> > >signaling.
> >
> > Taking your statement at face value, I *could* read into it that (for
> > example) SIP signaling is to have the same treatment (if
> > there is any in the first place) as RTP.
>
>I did not mean that way. I meant *quality of service component* (like
>Diffserv) rather than the actual quality measure (like delay/jitter.)in
>the above quoted text. If you take the quality measure, it differs
>depending on the application requirements.
> >
> > I think few would actually agree with this as a general rule.
>
>I can even argue the other way round. what if I give high-priority
>to the scavenger traffic(if its my own intranet.) So, they are more
>of policy issues.
>
> > RTP has delay/jitter tolerances that are far  more sensitive to that
> > Protocol's normal operation than does SIP or MGCP or MEGACO/H.248
> > messages.
> >

cheers,
James

               *************************************
"People generally demand more respect for their own rights than
                          they are willing to allow for others"

_______________________________________________
Ieprep mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ieprep